Mailinglist Archive: opensuse-security-announce (42 mails)

< Previous Next >
[security-announce] openSUSE-SU-2020:1884-1: moderate: Security update for ImageMagick
openSUSE Security Update: Security update for ImageMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2020:1884-1
Rating: moderate
References: #1178067
Cross-References: CVE-2020-27560
Affected Products:
openSUSE Leap 15.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

This update for ImageMagick fixes the following issues:

- CVE-2020-27560: Fixed potential denial of service in OptimizeLayerFrames
function in MagickCore/layer.c (bsc#1178067).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.2:

zypper in -t patch openSUSE-2020-1884=1



Package List:

- openSUSE Leap 15.2 (i586 x86_64):

ImageMagick-7.0.7.34-lp152.12.6.1
ImageMagick-config-7-SUSE-7.0.7.34-lp152.12.6.1
ImageMagick-config-7-upstream-7.0.7.34-lp152.12.6.1
ImageMagick-debuginfo-7.0.7.34-lp152.12.6.1
ImageMagick-debugsource-7.0.7.34-lp152.12.6.1
ImageMagick-devel-7.0.7.34-lp152.12.6.1
ImageMagick-extra-7.0.7.34-lp152.12.6.1
ImageMagick-extra-debuginfo-7.0.7.34-lp152.12.6.1
libMagick++-7_Q16HDRI4-7.0.7.34-lp152.12.6.1
libMagick++-7_Q16HDRI4-debuginfo-7.0.7.34-lp152.12.6.1
libMagick++-devel-7.0.7.34-lp152.12.6.1
libMagickCore-7_Q16HDRI6-7.0.7.34-lp152.12.6.1
libMagickCore-7_Q16HDRI6-debuginfo-7.0.7.34-lp152.12.6.1
libMagickWand-7_Q16HDRI6-7.0.7.34-lp152.12.6.1
libMagickWand-7_Q16HDRI6-debuginfo-7.0.7.34-lp152.12.6.1
perl-PerlMagick-7.0.7.34-lp152.12.6.1
perl-PerlMagick-debuginfo-7.0.7.34-lp152.12.6.1

- openSUSE Leap 15.2 (x86_64):

ImageMagick-devel-32bit-7.0.7.34-lp152.12.6.1
libMagick++-7_Q16HDRI4-32bit-7.0.7.34-lp152.12.6.1
libMagick++-7_Q16HDRI4-32bit-debuginfo-7.0.7.34-lp152.12.6.1
libMagick++-devel-32bit-7.0.7.34-lp152.12.6.1
libMagickCore-7_Q16HDRI6-32bit-7.0.7.34-lp152.12.6.1
libMagickCore-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-lp152.12.6.1
libMagickWand-7_Q16HDRI6-32bit-7.0.7.34-lp152.12.6.1
libMagickWand-7_Q16HDRI6-32bit-debuginfo-7.0.7.34-lp152.12.6.1

- openSUSE Leap 15.2 (noarch):

ImageMagick-doc-7.0.7.34-lp152.12.6.1


References:

https://www.suse.com/security/cve/CVE-2020-27560.html
https://bugzilla.suse.com/1178067

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages